Subject: Re: [Question] Does CONFIG_XFRM_OFFLOAD depends any other configs?

From: Jakub Kicinski <[email-masked]>
Date: Mon, 19 Aug 2024 18:35:43 -0700

On Tue, 20 Aug 2024 09:26:49 +0800 Hangbin Liu wrote:
> > doesn't resolve dependencies, it only enables that single option).  
> 
> I didn't get which "select" you mean here. Since INET_ESP_OFFLOAD will select
> XFRM_OFFLOAD, Isn't adding
> 
> CONFIG_INET_ESP=y
> CONFIG_INET_ESP_OFFLOAD=y
> 
> in tools/testing/selftests/drivers/net/bonding/config enough?

Sorry, I misunderstood. Yes, for the test that should be enough.